import es
import corelib
import playerlib
import usermsg

# Plugin Info
info = es.AddonInfo()
info.name = "Kill Damage Info 3"
info.version = "3.5"
info.author = "TimeShift"
info.url = ""
info.basename = "kdi3"
es.set("kdi_version", info.version)
es.set("kdi_showname", 1, "Defines it the damage message will show the attacked person's name")
es.set("kdi_place", 2, "Sets the place of the damage message [1 = Center / 2 = HUD Hint]")
es.set("kdi_deathinfo", 1, "Defines who the plugin is going to show the information [0 = None / 1 = Both / 2 = Victim / 3 = Killer]")
es.set("shotmsg", 0)
es.makepublic("kdi_showname")
es.makepublic("kdi_place")
es.makepublic("kdi_version")

def round_start(event_var):
		es.delayed(.10, es.msg("#multi", "#default[#greenKill Damage Info 3 Version 3.5#default] Made by TimeShift"))
		
def load():
        es.msg("#multi", "#default[#greenKDi3#default] #green Loaded!")
	
def unload():
        es.msg("#multi", "#default[#greenKDi3#default] #green Unloaded")
        
def player_death(event_var):
        if not event_var["attacker"] == event_var["userid"]:
        	if not event_var["weapon"] == "worldspawn":
        		es.set("menukill", 0)
        		es.set("menuvic", 0)
        		Victim = playerlib.getPlayer(event_var["userid"])
        		Killer = playerlib.getPlayer(event_var["attacker"])
        		if es.ServerVar('kdi_deathinfo') == 1:
					es.format('menukill', "Your Victim: %1\n%2 has died %3 times\n%4 has killed %5 players",event_var["es_username"],event_var["es_username"],Victim.deaths,event_var["es_username"],Victim.kills)
					es.format('menuvic',"Your killer: %1\nWeapon used: %2\nHP Left: %3\nArmor Left: %4\n%5 has died %6 times\n%7 has killed %8 players",event_var["es_attackername"],event_var["weapon"],event_var["es_attackerhealth"],event_var["es_attackerarmor"],event_var["es_attackername"], Killer.deaths, event_var["es_attackername"], Killer.kills)
					es.delayed(2, es.menu(0, event_var["userid"],str(es.ServerVar('menuvic'))))
					es.delayed(2, es.menu(0, event_var["attacker"],str(es.ServerVar('menukill'))))
        		elif es.ServerVar('kdi_deathinfo') == 2:
					es.format('menuvic',"Your killer: %1\nWeapon used: %2\nHP Left: %3\nArmor Left: %4\n%5 has died %6 times\n%7 has killed %8 players",event_var["es_attackername"],event_var["weapon"],event_var["es_attackerhealth"],event_var["es_attackerarmor"],event_var["es_attackername"], Killer.deaths, event_var["es_attackername"], Killer.kills)
					es.delayed(2, es.menu(0, event_var["userid"],str(es.ServerVar('menuvic'))))
        		elif es.ServerVar('kdi_deathinfo') == 3:
					es.format('menukill', "Your Victim: %1\n%2 has died %3 times\n%4 has killed %5 players",event_var["es_username"],event_var["es_username"],Victim.deaths,event_var["es_username"],Victim.kills)
					es.delayed(2, es.menu(0, event_var["attacker"],str(es.ServerVar('menukill'))))

def player_hurt(e):
        if not e["attacker"] == "0":
			if not e["attacker"] == e["userid"]:
				if es.ServerVar('kdi_showname') == 1 and es.ServerVar('kdi_place') == 1:
					es.format('shotmsg', '-%1 (%2)',e["dmg_health"],e["es_username"])
					es.centertell(e["attacker"],str(es.ServerVar('shotmsg')))
				elif es.ServerVar('kdi_showname') == 1 and es.ServerVar('kdi_place') == 2:
					es.format('shotmsg', 'Damage: -%1 (%2)',e["dmg_health"],e["es_username"])
					usermsg.hudhint(e["attacker"],str(es.ServerVar('shotmsg')))
				elif es.ServerVar('kdi_showname') == 0 and es.ServerVar('kdi_place') == 2:
					es.format('shotmsg', 'Damage: -%1',e["dmg_health"])
					usermsg.hudhint(e["attacker"],str(es.ServerVar('shotmsg')))
				elif es.ServerVar('kdi_showname') == 0 and es.ServerVar('kdi_place') == 1:
					es.format('shotmsg', '-%1',e["dmg_health"])
					es.centertell(e["attacker"],str(es.ServerVar('shotmsg')))